sc::SlaterXFunctional(3)

NAME
sc::SlaterXFunctional -

Implements the Slater exchange functional'.

SYNOPSIS

#include <functional.h>

Inherits sc::DenFunctional'.

  Public Member Functions
SlaterXFunctional (const Ref< KeyVal > &)
SlaterXFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'.
void point (const PointInputData &, PointOutputData &)

Detailed Description

Implements the Slater exchange functional'.

Member Function Documentation

  void sc::SlaterXFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them'. This must be implemented by the derived class if the class has data'.

Reimplemented from sc::DenFunctional'.

Author

Generated automatically by Doxygen for MPQC from the source code'.